package com.hdp.piplus.lts.jobclient;

import com.google.common.base.Preconditions;
import com.lts.jobclient.JobClient;
import org.springframework.context.ApplicationContext;

public class JobClientFactory {
    private static ApplicationContext context;
    private static JobClient jobClient;

    public static synchronized void init(ApplicationContext ctx) {
        context = ctx;
    }

    public static synchronized JobClient getJobClient() {
        Preconditions.checkNotNull(context, "JobClientFactory未初始化");

        if (jobClient == null) {
            jobClient = context.getBean(JobClient.class);
            jobClient.start();
        }
        return jobClient;
    }
}
