package com.hdp.piplus.lts.tasktracker;

import com.lts.spring.TaskTrackerAnnotationFactoryBean;
import com.lts.startup.TaskTrackerFactoryBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

import java.util.Properties;

@Component
@Lazy
public class BootTaskTrackerFactoryBean extends TaskTrackerAnnotationFactoryBean {
    @Autowired
    private Environment env;

    /**
     * 使用Spring Boot配置机制配置TaskTrackerAnnotationFactoryBean
     * @see TaskTrackerFactoryBean
     * @throws Exception
     */
    @Override
    public void afterPropertiesSet() throws Exception {
        setClusterName(env.getProperty("clusterName"));
        setRegistryAddress(env.getProperty("registryAddress"));
        setNodeGroup(env.getProperty("tasktracker.nodeGroup"));
        setWorkThreads(Integer.parseInt(env.getProperty("tasktracker.workThreads")));
        setJobRunnerClass(Class.forName(env.getProperty("tasktracker.jobRunnerClass")));
        setBizLoggerLevel(env.getProperty("tasktracker.bizLoggerLevel"));

        Properties props = new Properties();
        props.put("job.fail.store", env.getProperty("configs.job.fail.store"));
        setConfigs(props);

        super.afterPropertiesSet();
    }
}
