package com.hdp.piplus.lts.tasktracker;

import com.lts.core.domain.Action;
import com.lts.core.domain.Job;
import com.lts.spring.TaskTrackerAnnotationFactoryBean;
import com.lts.tasktracker.Result;
import com.lts.tasktracker.runner.JobRunner;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;

/**
 * TaskTrackerAnnotationFactoryBean会用适合的方式在spring中注册该类，不需要再用@Component注册了。
 * @see TaskTrackerAnnotationFactoryBean#registerRunnerBeanDefinition()
 */
public class TestJobRunner implements JobRunner {
    private static final Logger logger = LoggerFactory.getLogger(TestJobRunner.class);

    @Value("${spring.application.name}")
    private String applicationName;


    @Override
    public Result run(Job job) throws Throwable {
        logger.info(applicationName + " 正在运行任务" + job.getTaskId());
        Thread.sleep(20000);
        return new Result(Action.EXECUTE_SUCCESS, "执行成功啦～");
    }
}
